ランタイム: Mix::Sound::IDevice Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Sound::IDevice Class Referenceabstract

デバイスインターフェース More...

`#include <IDevice.h>`

Inheritance diagram for Mix::Sound::IDevice:
[legend]
Collaboration diagram for Mix::Sound::IDevice:
[legend]

## Public Member Functions

virtual Boolean | IsPlaying (void)=0
| 再生中どうかを取得します More...
virtual void | Play (Boolean bLoop=False)=0
| 再生します More...
virtual void | Stop (void)=0
| 停止します More...
virtual void | Suspend (void)=0
| 一時停止します More...
virtual void | Resume (void)=0
| 一時停止を解除します More...
virtual Boolean | IsDisposed (void)=0
| 破棄されているかどうかを確認します More...
virtual void | Dispose (void)=0
| 破棄します More...
virtual const wchar_t * | GetFilePath (void) const =0
| ファイルパスを取得します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IDevice (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

デバイスインターフェース

## Constructor & Destructor Documentation

virtual Mix::Sound::IDevice::~IDevice | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Boolean Mix::Sound::IDevice::IsPlaying | ( | void |  | ) |

pure virtual

再生中どうかを取得します

Returns
  再生中の場合は True を返します

Note
  状態( GetStatus )が PREPARATION もしくわ PLAYING の場合のことを表します。

virtual void Mix::Sound::IDevice::Play | ( | Boolean | bLoop = `False` | ) |

pure virtual

再生します

Parameters

  [in] | bLoop | ループ再生する場合は True を指定します

virtual void Mix::Sound::IDevice::Stop | ( | void |  | ) |

pure virtual

停止します

virtual void Mix::Sound::IDevice::Suspend | ( | void |  | ) |

pure virtual

一時停止します

virtual void Mix::Sound::IDevice::Resume | ( | void |  | ) |

pure virtual

一時停止を解除します

virtual Boolean Mix::Sound::IDevice::IsDisposed | ( | void |  | ) |

pure virtual

破棄されているかどうかを確認します

Returns
  破棄されている場合は True を返します

virtual void Mix::Sound::IDevice::Dispose | ( | void |  | ) |

pure virtual

破棄します

Note
  破棄をしてしまうと、このコントローラーは使用することができなくなります。
  ストリーミング再生をサポートするコントローラーを確実に終了させる目的で使用します。

virtual const wchar_t* Mix::Sound::IDevice::GetFilePath | ( | void |  | ) | const

pure virtual

ファイルパスを取得します

Returns
  ファイルパスを返します

The documentation for this class was generated from the following file:

- Mix/Sound/IDevice.h